const {URL} = require('url');


module.exports = {
    getParsedURL: function (req) {
        const index = req.url.search('http');
        const url = req.url.slice(index)
            .replace(/&?_escaped_fragment_=/, '')
            .replace(/\/?%3F/ig, '?')
        const parsedURL = new URL(url);
        const invalidate = parsedURL.searchParams.get('invalidate')

        return {
            collection: parsedURL.hostname,
            path: parsedURL.href.replace(new RegExp(`&?invalidate=${invalidate}`, 'ig'), ''),
            invalidate: invalidate
        }
    }
}
